New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Settings

Set HTTP API port

PUT
/api/v1/settings/http-api-port

Change the HTTP API port in config. Requires app restart to take effect.

Query Parameters

port*Port

Port number (1-65535)

Response Body

Successful Response

application/json
  1. response
success*Success

Whether the operation succeeded

changed*Changed

Whether the setting was actually changed

message?|

Optional status message

Example Request
curl -X PUT 'http://127.0.0.1:8100/api/v1/settings/http-api-port?port=0'
Example Response
{  "success": true,  "changed": true,  "message": "string"}